// PCIData.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// PCIData dialog

class PCIData : public CPropertyPage
{
	DECLARE_DYNCREATE(PCIData)

// Construction
public:
	PCIData();
	PCIData(CString caption);
	~PCIData();

// Dialog Data
	//{{AFX_DATA(PCIData)
	enum { IDD = IDD_PCIEXPLORER_DIALOG };
	CNumericEdit	c_Function;
	CNumericEdit	c_Device;
	CNumericEdit	c_Bus;
	CEdit	c_VendorName;
	CEdit	c_DeviceName;
	CButton	c_Hex;
	CButton	c_Decimal;
	CNumericEdit	c_SubSystemID;
	CNumericEdit	c_SubVendorID;
	CNumericEdit	c_ROMBaseAddress;
	CNumericEdit	c_Reserved2;
	CNumericEdit	c_Reserved1;
	CNumericEdit	c_VendorID;
	CNumericEdit	c_SubClass;
	CNumericEdit	c_Status;
	CNumericEdit	c_RevisionID;
	CNumericEdit	c_ProgIf;
	CNumericEdit	c_MinimumGrant;
	CNumericEdit	c_MaximumLatency;
	CNumericEdit	c_LatencyTimer;
	CNumericEdit	c_InterruptPin;
	CNumericEdit	c_InterruptLine;
	CNumericEdit	c_HeaderType;
	CIDCombo	c_DisplayAs;
	CNumericEdit	c_DeviceID;
	CDataDisplay	c_Data;
	CNumericEdit	c_Command;
	CNumericEdit	c_CIS;
	CNumericEdit	c_CacheLineSize;
	CNumericEdit	c_BIST;
	CNumericEdit	c_BaseClass;
	CNumericEdit	c_BaseAddress5;
	CNumericEdit	c_BaseAddress4;
	CNumericEdit	c_BaseAddress3;
	CNumericEdit	c_BaseAddress2;
	CNumericEdit	c_BaseAddress1;
	CNumericEdit	c_BaseAddress0;
	//}}AFX_DATA

	PCISCAN_OUTPUT data;
// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(PCIData)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
protected:
	void LoadPCIData();
	CString caption;

	// Generated message map functions
	//{{AFX_MSG(PCIData)
	virtual BOOL OnInitDialog();
	afx_msg void OnHex();
	afx_msg void OnDecimal();
	afx_msg void OnSelendokDisplayas();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};
