// PCIStartup.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPCIStartup dialog

class CPCIStartup : public CDialog
{
// Construction
public:
	CPCIStartup(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPCIStartup)
	enum { IDD = IDD_STARTUP };
	CButton	c_c_Driver;
	CEdit	c_Driver;
	CButton	c_Change;
	CButton	c_Browse;
	CStatic	c_Completed;
	CButton	c_Opening;
	CProgressCtrl	c_Progress;
	CButton	c_OK;
	CButton	c_Cancel;
	CButton	c_Uninstalling;
	CButton	c_Stopping;
	CEdit	c_Status;
	CButton	c_Starting;
	CButton	c_OpeningSCM;
	CButton	c_Scanning;
	CButton	c_Installing;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPCIStartup)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	BOOL running;

	BOOL InstallDriver(SC_HANDLE scm, LPCTSTR DriverName, LPCTSTR ServiceExe);
	BOOL RemoveDriver(SC_HANDLE scm, LPCTSTR DriverName);
	BOOL StartDriver(SC_HANDLE scm, LPCTSTR DriverName);
	BOOL StopDriver(SC_HANDLE scm, LPCTSTR DriverName);

	void disableControls(UINT state);
	void updateControls(UINT * msg = NULL);
	void showError(DWORD err, UINT msg, CString & other);
	CString getErrorMessage(DWORD err);
	BOOL checkExistence(CString & filename);
	BOOL isValidFileName(CString & filename, UINT * msg = NULL);
	BOOL browse(CString & filename);

	// Generated message map functions
	//{{AFX_MSG(CPCIStartup)
	virtual void OnOK();
	virtual void OnCancel();
	virtual BOOL OnInitDialog();
	afx_msg LRESULT OnRunPCI(WPARAM, LPARAM);
	afx_msg void OnBrowse();
	afx_msg void OnChange();
	afx_msg void OnChangeDriver();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
